#555 Samba can’t login with more than 16 groups

v0.69x
closed
Volker
5
2012-10-28
2009-05-05
Ray
No

In my freenas have more than 16 groups, when I use Network Neighborhood to access samba network disk, I can’t login.

This issue seems cause by FreeBSD ngroups_max parameter.

System data log shows as below list:

May 5 16:36:42 data smbd[88644]: [2009/05/05 16:36:42, 0] lib/system_smbd.c:getgroups_unix_user(172)
May 5 16:36:42 data smbd[88644]: get_user_groups: failed to get the unix group list
May 5 16:36:42 data smbd[88644]: [2009/05/05 16:36:42, 0] auth/auth_sam.c:check_sam_security(353)
May 5 16:36:42 data smbd[88644]: check_sam_security: make_server_info_sam() failed with 'NT_STATUS_NO_SUCH_USER'

Discussion

  • Volker

    Volker - 2009-05-06

    Hello,

    i googled a little bit and find some comments that changing ngroups_max is not a good idea. Also it requires a 'build world' which is not supported by the build scripts at the moment.

    Regards
    Volker

     
  • Daisuke Aoyama

    Daisuke Aoyama - 2010-02-12

    Now WebGUI is limited to 15 groups. (not 16, historical reason)
    FreeBSD have NGROUPS_MAX=16, and old RPC(rfc1057) says gid max to 16.

     
  • SourceForge Robot

    This Tracker item was closed automatically by the system. It was
    previously set to a Pending status, and the original submitter
    did not respond within 14 days (the time period specified by
    the administrator of this Tracker).

     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

JavaScript is required for this form.





No, thanks